<template>
  <div v-if="nombreImagenes && imageSrc">
    <PubliComponent v-if="imageSrc" :imagenes="imageSrc" :publicacion="publicacion" :usuario="usuario" :imagen="nombreImagenes"></PubliComponent>
    <h5 class="card-title">{{ textoImagenes }}</h5>
    <div v-for="srcImagen in imageSrc" :key="srcImagen" class="card" style="width: 18rem;">
      
    </div>
  </div>
</template>
    
<script>
import axios from 'axios';
import PubliComponent from "./PubliComponentMuro.vue"

export default {
  data() {
    return {
      imageSrc: [],
    }
  },
  components: {
    PubliComponent
  },
  props: {
    nombreImagenes: {
      type: Array
    },
    textoImagenes: {
      type: String
    },
    publicacion:{},
    usuario:{}
  },
  methods: {
    async getImage() {
      try {
        const url = 'http://localhost:3001/multimedia/fileSystem/img';
        const requests = this.nombreImagenes.map(async (nombreImagen) => { //esto recorre todo el arreglo de imagenes y trae cada imagen asignanoda al array
          const params = {
            fileName: nombreImagen
          };
          const response = await axios.get(url, {
            params,
            responseType: 'blob'
          });
          const url_2 = window.URL.createObjectURL(new Blob([response.data]));
          return url_2;
        });
        this.imageSrc = await Promise.all(requests);
      } catch (error) {
        console.error(error);
      }
    },


    showImg() {
      if (this.nombreImagenes) {
        this.getImage();
      }
    }
  },
  watch: {
    nombreImagenes: {
      immediate: true,
      handler() {
        this.showImg();
      }
    }
  }

}
</script>